<%@ Page Inherits="Dvbbs.bbs.UI.Admin.admin_admin_add" %>
<%@ Register tagPrefix="bbs" tagName="AdminHeader" src="controls/admin_header.ascx"%>
<%@ Register tagPrefix="bbs" tagName="AdminFooter" src="controls/admin_footer.ascx"%>
<bbs:adminheader id="AdminHeader1" title="新增管理员" runat="server"></bbs:adminheader>
<script language="javascript">
function chkPost()
{
	var f = document.forms[0];
	if (f.admin.value == "")
	{
		alert("请输入管理登录名");
		f.admin.focus();
		return false;
	}
	else if (f.username.value == "")
	{
		alert("请输入相关联的论坛注册名");
		f.username.focus();
		return false;
	}
	/*else if (f.password.value.length < 6)
	{
		alert("密码至少6位以上");
		f.password.focus();
		return false;
	}
	else if (f.password.value != f.pwdconfirm.value)
	{
		alert("两遍密码输入不一致");
		f.password.focus();
		return false;
	}*/
	else
	{
		return true;
	}
}
</script>
<form runat="server" action="Post">
	<table width="100%" class="maintable" cellpadding="0" cellspacing="1" border="0" ID="Table1">
		<tr>
			<td class="title" colSpan="3"><%=title%></td>
		</tr>
		<tr>
			<td class="left" width="30%">管理名</td>
			<td colSpan="2" width="70%" class="right">
				<asp:textbox id="admin" runat="server" onFocus="IEvent('focus',this);" onBlur="IEvent('blur',this)"
					onMouseOver="IEvent('mouseover',this)" onMouseOut="IEvent('mouseout',this)" maxlength="16"
					Width="140"></asp:textbox>
				<br />
				<span>用作后台管理登录名</span>
			</td>
		</tr>
		<tr>
			<td class="left">论坛注册名</td>
			<td class="right" colSpan="2">
				<asp:textbox id="username" onFocus="IEvent('focus',this);" onBlur="IEvent('blur',this)" onMouseOver="IEvent('mouseover',this)"
					onMouseOut="IEvent('mouseout',this)" runat="server" maxlength="16" Width="140"></asp:textbox>
				<br />
				<span>他(她)在论坛中的注册名，建议不要与管理名相同</span>
			</td>
		</tr>
		<tr>
			<td class="left">密码</td>
			<td class="right" colSpan="2">
				<asp:textbox id="password" onFocus="IEvent('focus',this);" onBlur="IEvent('blur',this)" onMouseOver="IEvent('mouseover',this)"
					onMouseOut="IEvent('mouseout',this)" runat="server" maxlength="16" Width="140" textmode="password"></asp:textbox>
				<br />
				<span>
					<%=pwdmsg%>
				</span>
			</td>
		</tr>
		<tr>
			<td class="left" valign="top">允许IP</td>
			<td class="right" width="20%">
				<asp:TextBox id="acceptip" onFocus="IEvent('focus',this);" onBlur="IEvent('blur',this)" onMouseOver="IEvent('mouseover',this)"
					onMouseOut="IEvent('mouseout',this)" runat="server" TextMode="MultiLine" Height="200px" Width="170px"></asp:TextBox>
			</td>
			<td><span><B><FONT color="#ff0000">说明：</FONT></B><br>
				1.清空不填写即允许所有IP登陆后台。<br>
				2.尽量采用IP段的方式，如：10.10.*.*<br>
				3.注意：提交后在下次登陆将会生效，若IP填错将会无法登陆后台<br>
				4.添加IP后，该管理员访问IP必需符合允许IP列表才能登陆后台<br>
				5.您可以添加多个允许IP，每个IP用回车分隔。<br>
				6.允许IP的书写方式：<br />
				&nbsp;&nbsp;&nbsp;如202.152.12.1就允许了202.152.12.1这个IP的登陆后台，<br>
				&nbsp;&nbsp;&nbsp;如202.152.12.*就允许了以202.152.12开头的IP登陆后台。
				<br>
				7.在添加多个IP的时候，请注意最后一个IP的后面不要加回车。</span>
			</td>
		</tr>
		<tr>
			<td align="center" class="bottom" colSpan="3"><input class="button" id="save" onFocus="IEvent('focus',this);" onBlur="IEvent('blur',this)" onMouseOver="IEvent('mouseover',this)" onMouseOut="IEvent('mouseout',this)" onclick="return chkPost()" type="submit" value="<%=btnmsg%>"></td>
		</tr>
	</table>
</form>
<bbs:adminfooter id="AdminFooter1" runat="server"></bbs:adminfooter>
